RADARE2(1)

NAME
radare2 - Advanced commandline hexadecimal editor

SYNOPSIS
radare2 [-s addr] [-b bsize] [-e k=v] [-dwnLV] file

DESCRIPTION
radare2 is a commandline hexadecimal editor.

"r2" is the alias program name for radare2.

This manpage is not updated yet. Feel free to contribute.

The options are:

-s addr
    Start seeking at this address.

-b bsize
    Set block size

-e k=v
    Set configuration eval variable key=value. For example -e scr.color=false

-f  Blocksize = file size.

-d  Start in debugger mode.

-w  Open in write mode.

-u  Unknown file size. (Do not limit to file boundaries)

-n  Do not load ~/.radarerc or ./radarerc

-L  list supported IO plugins.

-V  Show version information and exits.

-h  Show help message

SHELL
Type '?' for help.

VISUAL
To enter visual mode use the 'V' command. Then press '?' for help.

DEBUGGER
In r2 the debugger commands are implemented under the 'd' command. Type 'd?' for help.

ENVIRONMENT
These values can be used from scripts launched from inside radare ('!' command) FILE path to the current working file

SEE ALSO

rahash2(1), rafind2(1), rabin2(1), radiff2(1), ranal2(1), rasm2(1), rax2(1), rarc2(1), rarc2-tool(1), rasc2(1),

AUTHORS

pancake <pancake@nopcode.org>, nibble <nibble@develsec.org>